
From: Kasparek Tomas <kasparek@fit.vutbr.cz>

Change pci_module_init to pci_register_driver in various places.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/3c59x.c                 |    4 ++--
 25-akpm/drivers/net/8139cp.c                |    2 +-
 25-akpm/drivers/net/8139too.c               |    2 +-
 25-akpm/drivers/net/acenic.c                |    2 +-
 25-akpm/drivers/net/amd8111e.c              |    2 +-
 25-akpm/drivers/net/arcnet/com20020-pci.c   |    2 +-
 25-akpm/drivers/net/b44.c                   |    2 +-
 25-akpm/drivers/net/defxx.c                 |    2 +-
 25-akpm/drivers/net/dl2k.c                  |    2 +-
 25-akpm/drivers/net/e100.c                  |    2 +-
 25-akpm/drivers/net/e1000/e1000_main.c      |    2 +-
 25-akpm/drivers/net/eepro100.c              |    2 +-
 25-akpm/drivers/net/epic100.c               |    2 +-
 25-akpm/drivers/net/fealnx.c                |    2 +-
 25-akpm/drivers/net/forcedeth.c             |    2 +-
 25-akpm/drivers/net/hp100.c                 |    2 +-
 25-akpm/drivers/net/ioc3-eth.c              |    2 +-
 25-akpm/drivers/net/irda/donauboe.c         |    2 +-
 25-akpm/drivers/net/irda/vlsi_ir.c          |    2 +-
 25-akpm/drivers/net/ixgb/ixgb_main.c        |    2 +-
 25-akpm/drivers/net/natsemi.c               |    2 +-
 25-akpm/drivers/net/ne2k-pci.c              |    2 +-
 25-akpm/drivers/net/ns83820.c               |    2 +-
 25-akpm/drivers/net/pci-skeleton.c          |    2 +-
 25-akpm/drivers/net/pcnet32.c               |    2 +-
 25-akpm/drivers/net/r8169.c                 |    2 +-
 25-akpm/drivers/net/rrunner.c               |    2 +-
 25-akpm/drivers/net/saa9730.c               |    2 +-
 25-akpm/drivers/net/sis900.c                |    2 +-
 25-akpm/drivers/net/skfp/skfddi.c           |    2 +-
 25-akpm/drivers/net/starfire.c              |    2 +-
 25-akpm/drivers/net/sundance.c              |    2 +-
 25-akpm/drivers/net/sungem.c                |    2 +-
 25-akpm/drivers/net/tc35815.c               |    2 +-
 25-akpm/drivers/net/tg3.c                   |    2 +-
 25-akpm/drivers/net/tokenring/3c359.c       |    2 +-
 25-akpm/drivers/net/tokenring/lanstreamer.c |    2 +-
 25-akpm/drivers/net/tokenring/olympic.c     |    2 +-
 25-akpm/drivers/net/tulip/de2104x.c         |    2 +-
 25-akpm/drivers/net/tulip/de4x5.c           |    2 +-
 25-akpm/drivers/net/tulip/dmfe.c            |    2 +-
 25-akpm/drivers/net/tulip/tulip_core.c      |    2 +-
 25-akpm/drivers/net/tulip/winbond-840.c     |    2 +-
 25-akpm/drivers/net/tulip/xircom_tulip_cb.c |    2 +-
 25-akpm/drivers/net/typhoon.c               |    2 +-
 25-akpm/drivers/net/via-rhine.c             |    2 +-
 25-akpm/drivers/net/wan/dscc4.c             |    2 +-
 25-akpm/drivers/net/wan/farsync.c           |    2 +-
 25-akpm/drivers/net/wan/lmc/lmc_main.c      |    2 +-
 25-akpm/drivers/net/wan/pc300_drv.c         |    2 +-
 25-akpm/drivers/net/wan/pci200syn.c         |    2 +-
 25-akpm/drivers/net/wan/wanxl.c             |    2 +-
 25-akpm/drivers/net/wireless/atmel_pci.c    |    2 +-
 25-akpm/drivers/net/wireless/orinoco_pci.c  |    2 +-
 25-akpm/drivers/net/wireless/orinoco_plx.c  |    2 +-
 25-akpm/drivers/net/wireless/orinoco_tmd.c  |    2 +-
 25-akpm/drivers/net/yellowfin.c             |    2 +-
 57 files changed, 58 insertions(+), 58 deletions(-)

diff -puN drivers/net/3c59x.c~pci_module_init-pci_register_driver drivers/net/3c59x.c
--- 25/drivers/net/3c59x.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/3c59x.c	2005-04-04 01:55:42.000000000 -0700
@@ -38,7 +38,7 @@
       vortex_start_xmit() and vortex_interrupt which was identified
       by Bogdan Costescu.
     - Merged back support for six new cards from various sources
-    - Set vortex_have_pci if pci_module_init returns zero (fixes cardbus
+    - Set vortex_have_pci if pci_register_driver returns zero (fixes cardbus
       insertion oops)
     - Tell it that 3c905C has NWAY for 100bT autoneg
     - Fix handling of SetStatusEnd in 'Too much work..' code, as
@@ -3308,7 +3308,7 @@ static int __init vortex_init (void)
 {
 	int pci_rc, eisa_rc;
 
-	pci_rc = pci_module_init(&vortex_driver);
+	pci_rc = pci_register_driver(&vortex_driver);
 	eisa_rc = vortex_eisa_init();
 
 	if (pci_rc == 0)
diff -puN drivers/net/8139cp.c~pci_module_init-pci_register_driver drivers/net/8139cp.c
--- 25/drivers/net/8139cp.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/8139cp.c	2005-04-04 01:55:42.000000000 -0700
@@ -1931,7 +1931,7 @@ static int __init cp_init (void)
 #ifdef MODULE
 	printk("%s", version);
 #endif
-	return pci_module_init (&cp_driver);
+	return pci_register_driver (&cp_driver);
 }
 
 static void __exit cp_exit (void)
diff -puN drivers/net/8139too.c~pci_module_init-pci_register_driver drivers/net/8139too.c
--- 25/drivers/net/8139too.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/8139too.c	2005-04-04 01:55:42.000000000 -0700
@@ -2632,7 +2632,7 @@ static int __init rtl8139_init_module (v
 	printk (KERN_INFO RTL8139_DRIVER_NAME "\n");
 #endif
 
-	return pci_module_init (&rtl8139_pci_driver);
+	return pci_register_driver (&rtl8139_pci_driver);
 }
 
 
diff -puN drivers/net/acenic.c~pci_module_init-pci_register_driver drivers/net/acenic.c
--- 25/drivers/net/acenic.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/acenic.c	2005-04-04 01:55:42.000000000 -0700
@@ -729,7 +729,7 @@ static struct pci_driver acenic_pci_driv
 
 static int __init acenic_init(void)
 {
-	return pci_module_init(&acenic_pci_driver);
+	return pci_register_driver(&acenic_pci_driver);
 }
 
 static void __exit acenic_exit(void)
diff -puN drivers/net/amd8111e.c~pci_module_init-pci_register_driver drivers/net/amd8111e.c
--- 25/drivers/net/amd8111e.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/amd8111e.c	2005-04-04 01:55:42.000000000 -0700
@@ -2159,7 +2159,7 @@ static struct pci_driver amd8111e_driver
 
 static int __init amd8111e_init(void)
 {
-	return pci_module_init(&amd8111e_driver);
+	return pci_register_driver(&amd8111e_driver);
 }
 
 static void __exit amd8111e_cleanup(void)
diff -puN drivers/net/arcnet/com20020-pci.c~pci_module_init-pci_register_driver drivers/net/arcnet/com20020-pci.c
--- 25/drivers/net/arcnet/com20020-pci.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/arcnet/com20020-pci.c	2005-04-04 01:55:42.000000000 -0700
@@ -177,7 +177,7 @@ static struct pci_driver com20020pci_dri
 static int __init com20020pci_init(void)
 {
 	BUGLVL(D_NORMAL) printk(VERSION);
-	return pci_module_init(&com20020pci_driver);
+	return pci_register_driver(&com20020pci_driver);
 }
 
 static void __exit com20020pci_cleanup(void)
diff -puN drivers/net/b44.c~pci_module_init-pci_register_driver drivers/net/b44.c
--- 25/drivers/net/b44.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/b44.c	2005-04-04 01:55:42.000000000 -0700
@@ -1968,7 +1968,7 @@ static struct pci_driver b44_driver = {
 
 static int __init b44_init(void)
 {
-	return pci_module_init(&b44_driver);
+	return pci_register_driver(&b44_driver);
 }
 
 static void __exit b44_cleanup(void)
diff -puN drivers/net/defxx.c~pci_module_init-pci_register_driver drivers/net/defxx.c
--- 25/drivers/net/defxx.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/defxx.c	2005-04-04 01:55:42.000000000 -0700
@@ -3430,7 +3430,7 @@ static int __init dfx_init(void)
 {
 	int rc_pci, rc_eisa;
 
-	rc_pci = pci_module_init(&dfx_driver);
+	rc_pci = pci_register_driver(&dfx_driver);
 	if (rc_pci >= 0) dfx_have_pci = 1;
 	
 	rc_eisa = dfx_eisa_init();
diff -puN drivers/net/dl2k.c~pci_module_init-pci_register_driver drivers/net/dl2k.c
--- 25/drivers/net/dl2k.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/dl2k.c	2005-04-04 01:55:42.000000000 -0700
@@ -1848,7 +1848,7 @@ static struct pci_driver rio_driver = {
 static int __init
 rio_init (void)
 {
-	return pci_module_init (&rio_driver);
+	return pci_register_driver (&rio_driver);
 }
 
 static void __exit
diff -puN drivers/net/e1000/e1000_main.c~pci_module_init-pci_register_driver drivers/net/e1000/e1000_main.c
--- 25/drivers/net/e1000/e1000_main.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/e1000/e1000_main.c	2005-04-04 01:55:42.000000000 -0700
@@ -234,7 +234,7 @@ e1000_init_module(void)
 
 	printk(KERN_INFO "%s\n", e1000_copyright);
 
-	ret = pci_module_init(&e1000_driver);
+	ret = pci_register_driver(&e1000_driver);
 	if(ret >= 0) {
 		register_reboot_notifier(&e1000_notifier_reboot);
 	}
diff -puN drivers/net/e100.c~pci_module_init-pci_register_driver drivers/net/e100.c
--- 25/drivers/net/e100.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/e100.c	2005-04-04 01:55:42.000000000 -0700
@@ -2411,7 +2411,7 @@ static int __init e100_init_module(void)
 		printk(KERN_INFO PFX "%s, %s\n", DRV_DESCRIPTION, DRV_VERSION);
 		printk(KERN_INFO PFX "%s\n", DRV_COPYRIGHT);
 	}
-	return pci_module_init(&e100_driver);
+	return pci_register_driver(&e100_driver);
 }
 
 static void __exit e100_cleanup_module(void)
diff -puN drivers/net/eepro100.c~pci_module_init-pci_register_driver drivers/net/eepro100.c
--- 25/drivers/net/eepro100.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/eepro100.c	2005-04-04 01:55:42.000000000 -0700
@@ -2391,7 +2391,7 @@ static int __init eepro100_init_module(v
 #ifdef MODULE
 	printk(version);
 #endif
-	return pci_module_init(&eepro100_driver);
+	return pci_register_driver(&eepro100_driver);
 }
 
 static void __exit eepro100_cleanup_module(void)
diff -puN drivers/net/epic100.c~pci_module_init-pci_register_driver drivers/net/epic100.c
--- 25/drivers/net/epic100.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/epic100.c	2005-04-04 01:55:42.000000000 -0700
@@ -1673,7 +1673,7 @@ static int __init epic_init (void)
 		version, version2, version3);
 #endif
 
-	return pci_module_init (&epic_driver);
+	return pci_register_driver (&epic_driver);
 }
 
 
diff -puN drivers/net/fealnx.c~pci_module_init-pci_register_driver drivers/net/fealnx.c
--- 25/drivers/net/fealnx.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/fealnx.c	2005-04-04 01:55:42.000000000 -0700
@@ -1993,7 +1993,7 @@ static int __init fealnx_init(void)
 	printk(version);
 #endif
 
-	return pci_module_init(&fealnx_driver);
+	return pci_register_driver(&fealnx_driver);
 }
 
 static void __exit fealnx_exit(void)
diff -puN drivers/net/forcedeth.c~pci_module_init-pci_register_driver drivers/net/forcedeth.c
--- 25/drivers/net/forcedeth.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/forcedeth.c	2005-04-04 01:55:42.000000000 -0700
@@ -2221,7 +2221,7 @@ static struct pci_driver driver = {
 static int __init init_nic(void)
 {
 	printk(KERN_INFO "forcedeth.c: Reverse Engineered nForce ethernet driver. Version %s.\n", FORCEDETH_VERSION);
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit exit_nic(void)
diff -puN drivers/net/hp100.c~pci_module_init-pci_register_driver drivers/net/hp100.c
--- 25/drivers/net/hp100.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/hp100.c	2005-04-04 01:55:42.000000000 -0700
@@ -3064,7 +3064,7 @@ static int __init hp100_module_init(void
 		goto out2;
 #endif
 #ifdef CONFIG_PCI
-	err = pci_module_init(&hp100_pci_driver);
+	err = pci_register_driver(&hp100_pci_driver);
 	if (err && err != -ENODEV) 
 		goto out3;
 #endif
diff -puN drivers/net/ioc3-eth.c~pci_module_init-pci_register_driver drivers/net/ioc3-eth.c
--- 25/drivers/net/ioc3-eth.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/ioc3-eth.c	2005-04-04 01:55:42.000000000 -0700
@@ -1358,7 +1358,7 @@ static struct pci_driver ioc3_driver = {
 
 static int __init ioc3_init_module(void)
 {
-	return pci_module_init(&ioc3_driver);
+	return pci_register_driver(&ioc3_driver);
 }
 
 static void __exit ioc3_cleanup_module(void)
diff -puN drivers/net/irda/donauboe.c~pci_module_init-pci_register_driver drivers/net/irda/donauboe.c
--- 25/drivers/net/irda/donauboe.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/irda/donauboe.c	2005-04-04 01:55:42.000000000 -0700
@@ -1776,7 +1776,7 @@ static struct pci_driver donauboe_pci_dr
 static int __init
 donauboe_init (void)
 {
-  return pci_module_init(&donauboe_pci_driver);
+  return pci_register_driver(&donauboe_pci_driver);
 }
 
 static void __exit
diff -puN drivers/net/irda/vlsi_ir.c~pci_module_init-pci_register_driver drivers/net/irda/vlsi_ir.c
--- 25/drivers/net/irda/vlsi_ir.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/irda/vlsi_ir.c	2005-04-04 01:55:42.000000000 -0700
@@ -1893,7 +1893,7 @@ static int __init vlsi_mod_init(void)
 		vlsi_proc_root->owner = THIS_MODULE;
 	}
 
-	ret = pci_module_init(&vlsi_irda_driver);
+	ret = pci_register_driver(&vlsi_irda_driver);
 
 	if (ret && vlsi_proc_root)
 		remove_proc_entry(PROC_DIR, NULL);
diff -puN drivers/net/ixgb/ixgb_main.c~pci_module_init-pci_register_driver drivers/net/ixgb/ixgb_main.c
--- 25/drivers/net/ixgb/ixgb_main.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/ixgb/ixgb_main.c	2005-04-04 01:55:42.000000000 -0700
@@ -177,7 +177,7 @@ ixgb_init_module(void)
 
 	printk(KERN_INFO "%s\n", ixgb_copyright);
 
-	ret = pci_module_init(&ixgb_driver);
+	ret = pci_register_driver(&ixgb_driver);
 	if(ret >= 0) {
 		register_reboot_notifier(&ixgb_notifier_reboot);
 	}
diff -puN drivers/net/natsemi.c~pci_module_init-pci_register_driver drivers/net/natsemi.c
--- 25/drivers/net/natsemi.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/natsemi.c	2005-04-04 01:55:42.000000000 -0700
@@ -3271,7 +3271,7 @@ static int __init natsemi_init_mod (void
 	printk(version);
 #endif
 
-	return pci_module_init (&natsemi_driver);
+	return pci_register_driver (&natsemi_driver);
 }
 
 static void __exit natsemi_exit_mod (void)
diff -puN drivers/net/ne2k-pci.c~pci_module_init-pci_register_driver drivers/net/ne2k-pci.c
--- 25/drivers/net/ne2k-pci.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/ne2k-pci.c	2005-04-04 01:55:42.000000000 -0700
@@ -702,7 +702,7 @@ static int __init ne2k_pci_init(void)
 #ifdef MODULE
 	printk(version);
 #endif
-	return pci_module_init (&ne2k_driver);
+	return pci_register_driver (&ne2k_driver);
 }
 
 
diff -puN drivers/net/ns83820.c~pci_module_init-pci_register_driver drivers/net/ns83820.c
--- 25/drivers/net/ns83820.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/ns83820.c	2005-04-04 01:55:42.000000000 -0700
@@ -2195,7 +2195,7 @@ static struct pci_driver driver = {
 static int __init ns83820_init(void)
 {
 	printk(KERN_INFO "ns83820.c: National Semiconductor DP83820 10/100/1000 driver.\n");
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit ns83820_exit(void)
diff -puN drivers/net/pci-skeleton.c~pci_module_init-pci_register_driver drivers/net/pci-skeleton.c
--- 25/drivers/net/pci-skeleton.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/pci-skeleton.c	2005-04-04 01:55:42.000000000 -0700
@@ -1963,7 +1963,7 @@ static int __init netdrv_init_module (vo
 #ifdef MODULE
 	printk(version);
 #endif
-	return pci_module_init (&netdrv_pci_driver);
+	return pci_register_driver (&netdrv_pci_driver);
 }
 
 
diff -puN drivers/net/pcnet32.c~pci_module_init-pci_register_driver drivers/net/pcnet32.c
--- 25/drivers/net/pcnet32.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/pcnet32.c	2005-04-04 01:55:42.000000000 -0700
@@ -2316,7 +2316,7 @@ static int __init pcnet32_init_module(vo
 	tx_start = tx_start_pt;
 
     /* find the PCI devices */
-    if (!pci_module_init(&pcnet32_driver))
+    if (!pci_register_driver(&pcnet32_driver))
 	pcnet32_have_pci = 1;
 
     /* should we find any remaining VLbus devices ? */
diff -puN drivers/net/r8169.c~pci_module_init-pci_register_driver drivers/net/r8169.c
--- 25/drivers/net/r8169.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/r8169.c	2005-04-04 01:55:42.000000000 -0700
@@ -2529,7 +2529,7 @@ static struct pci_driver rtl8169_pci_dri
 static int __init
 rtl8169_init_module(void)
 {
-	return pci_module_init(&rtl8169_pci_driver);
+	return pci_register_driver(&rtl8169_pci_driver);
 }
 
 static void __exit
diff -puN drivers/net/rrunner.c~pci_module_init-pci_register_driver drivers/net/rrunner.c
--- 25/drivers/net/rrunner.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/rrunner.c	2005-04-04 01:55:42.000000000 -0700
@@ -1738,7 +1738,7 @@ static struct pci_driver rr_driver = {
 
 static int __init rr_init_module(void)
 {
-	return pci_module_init(&rr_driver);
+	return pci_register_driver(&rr_driver);
 }
 
 static void __exit rr_cleanup_module(void)
diff -puN drivers/net/saa9730.c~pci_module_init-pci_register_driver drivers/net/saa9730.c
--- 25/drivers/net/saa9730.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/saa9730.c	2005-04-04 01:55:42.000000000 -0700
@@ -1168,7 +1168,7 @@ static struct pci_driver saa9730_driver 
 
 static int __init saa9730_init(void)
 {
-        return pci_module_init(&saa9730_driver);
+        return pci_register_driver(&saa9730_driver);
 }
 
 static void __exit saa9730_cleanup(void)
diff -puN drivers/net/sis900.c~pci_module_init-pci_register_driver drivers/net/sis900.c
--- 25/drivers/net/sis900.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/sis900.c	2005-04-04 01:55:42.000000000 -0700
@@ -2403,7 +2403,7 @@ static int __init sis900_init_module(voi
 	printk(version);
 #endif
 
-	return pci_module_init(&sis900_pci_driver);
+	return pci_register_driver(&sis900_pci_driver);
 }
 
 static void __exit sis900_cleanup_module(void)
diff -puN drivers/net/skfp/skfddi.c~pci_module_init-pci_register_driver drivers/net/skfp/skfddi.c
--- 25/drivers/net/skfp/skfddi.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/skfp/skfddi.c	2005-04-04 01:55:42.000000000 -0700
@@ -2281,7 +2281,7 @@ static struct pci_driver skfddi_pci_driv
 
 static int __init skfd_init(void)
 {
-	return pci_module_init(&skfddi_pci_driver);
+	return pci_register_driver(&skfddi_pci_driver);
 }
 
 static void __exit skfd_exit(void)
diff -puN drivers/net/starfire.c~pci_module_init-pci_register_driver drivers/net/starfire.c
--- 25/drivers/net/starfire.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/starfire.c	2005-04-04 01:55:42.000000000 -0700
@@ -2134,7 +2134,7 @@ static int __init starfire_init (void)
 		return -ENODEV;
 	}
 #endif /* not ADDR_64BITS */
-	return pci_module_init (&starfire_driver);
+	return pci_register_driver(&starfire_driver);
 }
 
 
diff -puN drivers/net/sundance.c~pci_module_init-pci_register_driver drivers/net/sundance.c
--- 25/drivers/net/sundance.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/sundance.c	2005-04-04 01:55:42.000000000 -0700
@@ -1771,7 +1771,7 @@ static int __init sundance_init(void)
 #ifdef MODULE
 	printk(version);
 #endif
-	return pci_module_init(&sundance_driver);
+	return pci_register_driver(&sundance_driver);
 }
 
 static void __exit sundance_exit(void)
diff -puN drivers/net/sungem.c~pci_module_init-pci_register_driver drivers/net/sungem.c
--- 25/drivers/net/sungem.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/sungem.c	2005-04-04 01:55:42.000000000 -0700
@@ -3192,7 +3192,7 @@ static struct pci_driver gem_driver = {
 
 static int __init gem_init(void)
 {
-	return pci_module_init(&gem_driver);
+	return pci_register_driver(&gem_driver);
 }
 
 static void __exit gem_cleanup(void)
diff -puN drivers/net/tc35815.c~pci_module_init-pci_register_driver drivers/net/tc35815.c
--- 25/drivers/net/tc35815.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/tc35815.c	2005-04-04 01:55:42.000000000 -0700
@@ -1725,7 +1725,7 @@ static struct pci_driver tc35815_driver 
 
 static int __init tc35815_init_module(void)
 {
-	return pci_module_init(&tc35815_driver);
+	return pci_register_driver(&tc35815_driver);
 }
 
 static void __exit tc35815_cleanup_module(void)
diff -puN drivers/net/tg3.c~pci_module_init-pci_register_driver drivers/net/tg3.c
--- 25/drivers/net/tg3.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/tg3.c	2005-04-04 01:55:42.000000000 -0700
@@ -9071,7 +9071,7 @@ static struct pci_driver tg3_driver = {
 
 static int __init tg3_init(void)
 {
-	return pci_module_init(&tg3_driver);
+	return pci_register_driver(&tg3_driver);
 }
 
 static void __exit tg3_cleanup(void)
diff -puN drivers/net/tokenring/3c359.c~pci_module_init-pci_register_driver drivers/net/tokenring/3c359.c
--- 25/drivers/net/tokenring/3c359.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/tokenring/3c359.c	2005-04-04 01:55:42.000000000 -0700
@@ -1815,7 +1815,7 @@ static struct pci_driver xl_3c359_driver
 
 static int __init xl_pci_init (void)
 {
-	return pci_module_init (&xl_3c359_driver);
+	return pci_register_driver (&xl_3c359_driver);
 }
 
 
diff -puN drivers/net/tokenring/lanstreamer.c~pci_module_init-pci_register_driver drivers/net/tokenring/lanstreamer.c
--- 25/drivers/net/tokenring/lanstreamer.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/tokenring/lanstreamer.c	2005-04-04 01:55:42.000000000 -0700
@@ -1999,7 +1999,7 @@ static struct pci_driver streamer_pci_dr
 };
 
 static int __init streamer_init_module(void) {
-  return pci_module_init(&streamer_pci_driver);
+  return pci_register_driver(&streamer_pci_driver);
 }
 
 static void __exit streamer_cleanup_module(void) {
diff -puN drivers/net/tokenring/olympic.c~pci_module_init-pci_register_driver drivers/net/tokenring/olympic.c
--- 25/drivers/net/tokenring/olympic.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/tokenring/olympic.c	2005-04-04 01:55:42.000000000 -0700
@@ -1771,7 +1771,7 @@ static struct pci_driver olympic_driver 
 
 static int __init olympic_pci_init(void) 
 {
-	return pci_module_init (&olympic_driver) ; 
+	return pci_register_driver (&olympic_driver) ;
 }
 
 static void __exit olympic_pci_cleanup(void)
diff -puN drivers/net/tulip/de2104x.c~pci_module_init-pci_register_driver drivers/net/tulip/de2104x.c
--- 25/drivers/net/tulip/de2104x.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/tulip/de2104x.c	2005-04-04 01:55:42.000000000 -0700
@@ -2175,7 +2175,7 @@ static int __init de_init (void)
 #ifdef MODULE
 	printk("%s", version);
 #endif
-	return pci_module_init (&de_driver);
+	return pci_register_driver (&de_driver);
 }
 
 static void __exit de_exit (void)
diff -puN drivers/net/tulip/de4x5.c~pci_module_init-pci_register_driver drivers/net/tulip/de4x5.c
--- 25/drivers/net/tulip/de4x5.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/tulip/de4x5.c	2005-04-04 01:55:42.000000000 -0700
@@ -5755,7 +5755,7 @@ static int __init de4x5_module_init (voi
 	int err = 0;
 
 #ifdef CONFIG_PCI
-	err = pci_module_init (&de4x5_pci_driver);
+	err = pci_register_driver (&de4x5_pci_driver);
 #endif
 #ifdef CONFIG_EISA
 	err |= eisa_driver_register (&de4x5_eisa_driver);
diff -puN drivers/net/tulip/dmfe.c~pci_module_init-pci_register_driver drivers/net/tulip/dmfe.c
--- 25/drivers/net/tulip/dmfe.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/tulip/dmfe.c	2005-04-04 01:55:42.000000000 -0700
@@ -2038,7 +2038,7 @@ static int __init dmfe_init_module(void)
 	if (HPNA_NoiseFloor > 15)
 		HPNA_NoiseFloor = 0;
 
-	rc = pci_module_init(&dmfe_driver);
+	rc = pci_register_driver(&dmfe_driver);
 	if (rc < 0)
 		return rc;
 
diff -puN drivers/net/tulip/tulip_core.c~pci_module_init-pci_register_driver drivers/net/tulip/tulip_core.c
--- 25/drivers/net/tulip/tulip_core.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/tulip/tulip_core.c	2005-04-04 01:55:42.000000000 -0700
@@ -1856,7 +1856,7 @@ static int __init tulip_init (void)
 	tulip_max_interrupt_work = max_interrupt_work;
 
 	/* probe for and init boards */
-	return pci_module_init (&tulip_driver);
+	return pci_register_driver (&tulip_driver);
 }
 
 
diff -puN drivers/net/tulip/winbond-840.c~pci_module_init-pci_register_driver drivers/net/tulip/winbond-840.c
--- 25/drivers/net/tulip/winbond-840.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/tulip/winbond-840.c	2005-04-04 01:55:42.000000000 -0700
@@ -1705,7 +1705,7 @@ static struct pci_driver w840_driver = {
 static int __init w840_init(void)
 {
 	printk(version);
-	return pci_module_init(&w840_driver);
+	return pci_register_driver(&w840_driver);
 }
 
 static void __exit w840_exit(void)
diff -puN drivers/net/tulip/xircom_tulip_cb.c~pci_module_init-pci_register_driver drivers/net/tulip/xircom_tulip_cb.c
--- 25/drivers/net/tulip/xircom_tulip_cb.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/tulip/xircom_tulip_cb.c	2005-04-04 01:55:42.000000000 -0700
@@ -1727,7 +1727,7 @@ static int __init xircom_init(void)
 #ifdef MODULE
 	printk(version);
 #endif
-	return pci_module_init(&xircom_driver);
+	return pci_register_driver(&xircom_driver);
 }
 
 
diff -puN drivers/net/typhoon.c~pci_module_init-pci_register_driver drivers/net/typhoon.c
--- 25/drivers/net/typhoon.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/typhoon.c	2005-04-04 01:55:42.000000000 -0700
@@ -2660,7 +2660,7 @@ static struct pci_driver typhoon_driver 
 static int __init
 typhoon_init(void)
 {
-	return pci_module_init(&typhoon_driver);
+	return pci_register_driver(&typhoon_driver);
 }
 
 static void __exit
diff -puN drivers/net/via-rhine.c~pci_module_init-pci_register_driver drivers/net/via-rhine.c
--- 25/drivers/net/via-rhine.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/via-rhine.c	2005-04-04 01:55:42.000000000 -0700
@@ -2021,7 +2021,7 @@ static int __init rhine_init(void)
 #ifdef MODULE
 	printk(version);
 #endif
-	return pci_module_init(&rhine_driver);
+	return pci_register_driver(&rhine_driver);
 }
 
 
diff -puN drivers/net/wan/dscc4.c~pci_module_init-pci_register_driver drivers/net/wan/dscc4.c
--- 25/drivers/net/wan/dscc4.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/wan/dscc4.c	2005-04-04 01:55:42.000000000 -0700
@@ -2062,7 +2062,7 @@ static struct pci_driver dscc4_driver = 
 
 static int __init dscc4_init_module(void)
 {
-	return pci_module_init(&dscc4_driver);
+	return pci_register_driver(&dscc4_driver);
 }
 
 static void __exit dscc4_cleanup_module(void)
diff -puN drivers/net/wan/farsync.c~pci_module_init-pci_register_driver drivers/net/wan/farsync.c
--- 25/drivers/net/wan/farsync.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/wan/farsync.c	2005-04-04 01:55:42.000000000 -0700
@@ -2698,7 +2698,7 @@ fst_init(void)
 	for (i = 0; i < FST_MAX_CARDS; i++)
 		fst_card_array[i] = NULL;
 	spin_lock_init(&fst_work_q_lock);
-	return pci_module_init(&fst_driver);
+	return pci_register_driver(&fst_driver);
 }
 
 static void __exit
diff -puN drivers/net/wan/lmc/lmc_main.c~pci_module_init-pci_register_driver drivers/net/wan/lmc/lmc_main.c
--- 25/drivers/net/wan/lmc/lmc_main.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/wan/lmc/lmc_main.c	2005-04-04 01:55:42.000000000 -0700
@@ -1790,7 +1790,7 @@ static struct pci_driver lmc_driver = {
 
 static int __init init_lmc(void)
 {
-    return pci_module_init(&lmc_driver);
+    return pci_register_driver(&lmc_driver);
 }
 
 static void __exit exit_lmc(void)
diff -puN drivers/net/wan/pc300_drv.c~pci_module_init-pci_register_driver drivers/net/wan/pc300_drv.c
--- 25/drivers/net/wan/pc300_drv.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/wan/pc300_drv.c	2005-04-04 01:55:42.000000000 -0700
@@ -3674,7 +3674,7 @@ static struct pci_driver cpc_driver = {
 
 static int __init cpc_init(void)
 {
-	return pci_module_init(&cpc_driver);
+	return pci_register_driver(&cpc_driver);
 }
 
 static void __exit cpc_cleanup_module(void)
diff -puN drivers/net/wan/pci200syn.c~pci_module_init-pci_register_driver drivers/net/wan/pci200syn.c
--- 25/drivers/net/wan/pci200syn.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/wan/pci200syn.c	2005-04-04 01:55:42.000000000 -0700
@@ -468,7 +468,7 @@ static int __init pci200_init_module(voi
 		printk(KERN_ERR "pci200syn: Invalid PCI clock frequency\n");
 		return -EINVAL;
 	}
-	return pci_module_init(&pci200_pci_driver);
+	return pci_register_driver(&pci200_pci_driver);
 }
 
 
diff -puN drivers/net/wan/wanxl.c~pci_module_init-pci_register_driver drivers/net/wan/wanxl.c
--- 25/drivers/net/wan/wanxl.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/wan/wanxl.c	2005-04-04 01:55:42.000000000 -0700
@@ -821,7 +821,7 @@ static int __init wanxl_init_module(void
 #ifdef MODULE
 	printk(KERN_INFO "%s\n", version);
 #endif
-	return pci_module_init(&wanxl_pci_driver);
+	return pci_register_driver(&wanxl_pci_driver);
 }
 
 static void __exit wanxl_cleanup_module(void)
diff -puN drivers/net/wireless/atmel_pci.c~pci_module_init-pci_register_driver drivers/net/wireless/atmel_pci.c
--- 25/drivers/net/wireless/atmel_pci.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/wireless/atmel_pci.c	2005-04-04 01:55:42.000000000 -0700
@@ -77,7 +77,7 @@ static void __devexit atmel_pci_remove(s
 
 static int __init atmel_init_module(void)
 {
-	return pci_module_init(&atmel_driver);
+	return pci_register_driver(&atmel_driver);
 }
 
 static void __exit atmel_cleanup_module(void)
diff -puN drivers/net/wireless/orinoco_pci.c~pci_module_init-pci_register_driver drivers/net/wireless/orinoco_pci.c
--- 25/drivers/net/wireless/orinoco_pci.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/wireless/orinoco_pci.c	2005-04-04 01:55:42.000000000 -0700
@@ -397,7 +397,7 @@ MODULE_LICENSE("Dual MPL/GPL");
 static int __init orinoco_pci_init(void)
 {
 	printk(KERN_DEBUG "%s\n", version);
-	return pci_module_init(&orinoco_pci_driver);
+	return pci_register_driver(&orinoco_pci_driver);
 }
 
 static void __exit orinoco_pci_exit(void)
diff -puN drivers/net/wireless/orinoco_plx.c~pci_module_init-pci_register_driver drivers/net/wireless/orinoco_plx.c
--- 25/drivers/net/wireless/orinoco_plx.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/wireless/orinoco_plx.c	2005-04-04 01:55:42.000000000 -0700
@@ -398,7 +398,7 @@ MODULE_LICENSE("Dual MPL/GPL");
 static int __init orinoco_plx_init(void)
 {
 	printk(KERN_DEBUG "%s\n", version);
-	return pci_module_init(&orinoco_plx_driver);
+	return pci_register_driver(&orinoco_plx_driver);
 }
 
 static void __exit orinoco_plx_exit(void)
diff -puN drivers/net/wireless/orinoco_tmd.c~pci_module_init-pci_register_driver drivers/net/wireless/orinoco_tmd.c
--- 25/drivers/net/wireless/orinoco_tmd.c~pci_module_init-pci_register_driver	2005-04-04 01:55:41.000000000 -0700
+++ 25-akpm/drivers/net/wireless/orinoco_tmd.c	2005-04-04 01:55:42.000000000 -0700
@@ -255,7 +255,7 @@ MODULE_LICENSE("Dual MPL/GPL");
 static int __init orinoco_tmd_init(void)
 {
 	printk(KERN_DEBUG "%s\n", version);
-	return pci_module_init(&orinoco_tmd_driver);
+	return pci_register_driver(&orinoco_tmd_driver);
 }
 
 static void __exit orinoco_tmd_exit(void)
diff -puN drivers/net/yellowfin.c~pci_module_init-pci_register_driver drivers/net/yellowfin.c
--- 25/drivers/net/yellowfin.c~pci_module_init-pci_register_driver	2005-04-04 01:55:42.000000000 -0700
+++ 25-akpm/drivers/net/yellowfin.c	2005-04-04 01:55:42.000000000 -0700
@@ -1474,7 +1474,7 @@ static int __init yellowfin_init (void)
 #ifdef MODULE
 	printk(version);
 #endif
-	return pci_module_init (&yellowfin_driver);
+	return pci_register_driver (&yellowfin_driver);
 }
 
 
_
